package gmodel

import (
	"context"
)

func (dt *FsOrderDetailTemplateModel) GetListByIds(ctx context.Context, ids []int64) (resp []FsOrderDetailTemplate, err error) {
	if len(ids) == 0 {
		return
	}
	err = dt.db.WithContext(ctx).Model(&FsOrderDetailTemplate{}).Where("`id` in (?)", ids).Find(&resp).Error
	if err != nil {
		return nil, err
	}
	return
}
